# Class Underline

#### Hierarchy (view full)

- XmlComponent
  - Underline

- Defined in file/paragraph/run/underline.ts:25

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Underline(underlineType?, color?): Underline

- #### Parameters

  - underlineType: "single" | "dotDash" | "dotDotDash" | "dotted" | "double" | "none" | "thick" | "wave" | "words" | "dottedHeavy" | "dash" | "dashedHeavy" | "dashLong" | "dashLongHeavy" | "dashDotHeavy" | "dashDotDotHeavy" | "wavyHeavy" | "wavyDouble" = UnderlineType.SINGLE
  - `Optional` color: string

  #### Returns Underline

  Overrides XmlComponent.constructor

  - Defined in file/paragraph/run/underline.ts:26

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc